// pages/login/login.js
import WxValidate from '../../utils/wxValidate';
const { stock_type } = require('../../utils/dict');
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '信息管理', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        id:'',
        form: {},
        // 弹框
        dialog: { title: '添加商品', show: false, type: '1' },
        // 入库商品
        order: [{ name: '8', num: '111' }],
        // 库存已存
        oneorderForm: {},
        // 查询库存
        shoppinginput: '',
        // 库存未存
        twoorderForm: {},
        img_url: [],
        typeList: [],
        stock_type: '',
        stock_typeList: stock_type
    },
    initValidate() {
        const rules = { register_name: { required: true, }, register_phone: { required: true, }, register_date: { required: true, }, reason: { required: true, } }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { register_name: { required: '请输入登记人', }, register_phone: { required: '请输入电话', }, register_date: { required: '请选择登记时间', }, reason: { required: '请输入入库原因', } };
        this.WxValidate = new WxValidate(rules, messages)
    },
    back: function () {
        wx.navigateBack({ url: '/pages/indepot/index' })
    },
    // 选择登记时间
    registerdateChange: function (e) {
        let { value } = e.detail;
        this.setData({ 'form.register_date': value })
    },
    // 添加商品
    addOrder: function (e) {
        const { type } = e.currentTarget.dataset;
        this.setData({ dialog: { title: '添加商品', show: true, type: type } })
    },
    // 已有库存
    // 取消保存
    oneorderReset: function () {
        this.setData({ dialog: { title: '添加商品', show: false, type: '1' } })
    },
    // 查询
    shoppinginput: function (e) {
        this.setData({ shoopingtext: e.detail.value })
    },
    // 查询库存
    searchStock: function () {
        console.log('查询库存');
    },
    // 确认选择商品
    stockChange: function (e) {
        const { item } = e.currentTarget.dataset;
        this.setData({ 'oneorderForm.stock_market_id': item.id })
        this.setData({ 'oneorderForm.name': item.name })
    },
    // 提交保存
    oneorderSubmit: function (e) {
        console.log(e.detail.value);
    },
    // 库存无商品
    twoorderReset: function () {
        this.setData({ dialog: { title: '添加商品', show: false, type: '2' } })
    },
    // 类别选择
    stocktypeChange: function (e) {
        let { value } = e.detail;
        let data = this.data.stock_typeList[value];
        this.setData({ 'stock_type': data.value })
        this.setData({ 'twoorderForm.stock_type': data.value })
        this.setData({ 'twoorderForm.stock_type_name': data.label })
    },
    // 选择商品类型
    typeChange: function (e) {
        let { value } = e.detail;
        let data = this.data.typeList[value];
        this.setData({ 'twoorderForm.type_id': data.id })
        this.setData({ 'twoorderForm.type_name': data.name })
    },
    // 上传图片
    afterRead: function (event) {
        console.log(event.detail);
    },
    // 删除图片
    uploadDelete: function (e) {
        console.log(e.detail);
    },
    twoorderSubmit: function (e) {
        console.log(e.detail);
    },
    // 取消保存
    onReset: function (e) {
        this.back()
    },
    // 提交保存
    onSubmit: function (e) {
        const params = e.detail.value;
        if (!this.WxValidate.checkForm(params)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            console.log(params);
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 查询其他信息
        this.searchOther();
        //验证规则函数
        this.initValidate()
        if (options.id) this.setData({ id: options.id })
        // 监听用户是否登录
        this.watchLogin();
        // 计算高度
        this.searchHeight()
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        let id = that.data.id;
        if (id) {
            // 如果有ID查询数据详情，赋值给form
        }
        // wx.getStorage({
        // key: 'user',
        // success: res => {
        //   if (res.data) {
        //     // 查询菜单
        //     if (res.data) this.searchRouter(res.data);
        //     res.data.type = type.find((i) => i.value == res.data.type).label;
        //     if (res.data) this.setData({ userInfo: res.data });
        //     if (res.data && res.data.avatarUrl) this.setData({ avatarUrl: res.data.avatarUrl });
        //   } else {
        //     wx.redirectTo({ url: '/pages/login/index', })
        //   }
        // }
        // })
    },
    // 查询其他信息
    searchOther: function () {
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        // 减去状态栏
        let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})