// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const { type } = require('../../utils/dict');
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '基本信息', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    id: '',
    form: {},
    // 用户类别
    typeList: type
  },
  initValidate() {
    const rules = { type_name: { required: true, }, name: { required: true, }, phone: { required: true, tel: true }, email: { required: true, }, address: { required: true, }, dept: { required: true, }, zw: { required: true, }, company: { required: true, } }
    // 验证字段的提示信息，若不传则调用默认的信息
    const messages = { type_name: { required: '请选择用户类别', }, name: { required: '请输入姓名', }, phone: { required: '请输入电话', }, email: { required: '请输入电子邮箱', }, address: { required: '请输入联系地址', }, dept: { required: '请输入部门', }, zw: { required: '请输入职务', }, company: { required: '请输入工作单位', } };
    this.WxValidate = new WxValidate(rules, messages)
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 选择用户类别
  typeChange: function (e) {
    let { value } = e.detail;
    let data = this.data.typeList[value];
    this.setData({ 'form.type': data.value })
    this.setData({ 'form.type_name': data.label })
  },
  // 取消修改
  onReset: function () {
    this.back()
  },
  // 提交修改
  onSubmit: function (e) {
    const params = e.detail.value;
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      console.log(params);
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate();
    if (options.id) this.setData({ id: options.id })
    // 监听用户是否登录
    this.watchLogin();
    // 计算高度
    this.searchHeight()
  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    let id = that.data.id;
    if (id) {
      // 如果有ID查询数据详情，赋值给form
    }
    // wx.getStorage({
    // key: 'user',
    // success: res => {
    //   if (res.data) {
    //     // 查询菜单
    //     if (res.data) this.searchRouter(res.data);
    //     res.data.type = type.find((i) => i.value == res.data.type).label;
    //     if (res.data) this.setData({ userInfo: res.data });
    //     if (res.data && res.data.avatarUrl) this.setData({ avatarUrl: res.data.avatarUrl });
    //   } else {
    //     wx.redirectTo({ url: '/pages/login/index', })
    //   }
    // }
    // })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})